## repolib 2.2.1%2Bmint1

=== debian/control ===
Source: repolib
Section: python
Priority: optional
Maintainer: Ian Santopietro <isantop@gmail.com>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-dbus,
               python3-debian,
               python3-distro,
               python3-gnupg,
               python3-lazr.restfulclient,
               python3-launchpadlib,
               python3-setuptools,
               python3-distutils,
               python3-pytest
Standards-Version: 4.1.3
Homepage: https://github.com/isantop/repolib
X-Python3-Version: >= 3.8
Vcs-Browser: https://github.com/isantop/repolib
Vcs-Git: https://github.com/isantop/repolib.git

Package: python3-repolib
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         apt,
         lsb-release,
         python3 (>= 3.8),
         python3-dbus,
         python3-debian,
         python3-distro (>= 1.4.0),
         python3-gnupg,
         python3-launchpadlib,
         python3-lazr.restfulclient,
Description: Repository Management for APT in Python (Python 3)
 RepoLib is a Python library for managing your software
 system software repositories. It's currently set up to handle APT repositories
 on Debian-based linux distributions.
 .
 RepoLib is intended to operate on DEB822-format sources. It aims to provide
 feature parity with software-properties for most commonly used functions.
 .
 This package installs the library for Python 3.
