## repolib 2.2.1+mint1

=== debian/changelog ===
repolib (2.2.1+mint1) wilma; urgency=medium

  [ Ian Santopietro ]
  * build(setup): fix broken package discovery
  * build(debian): add install file to ensure extra files get installed
  * fix: catch dbus exceptions and inform the user that sudo is required

  [ Brock Szuszczewicz ]
  * Add -y flag to apt-manage add

  [ 13r0ck ]
  * Do not crash if dbus conncetion fails to disconnect

  [ Gal Szkolnik ]
  * chore: improved installation instructions for Ubuntu and Debian

  [ Owen Valentine ]
  * Add missing extra deps
  * Extras from debian/control

  [ leviport ]
  * Docs: replace invalid example PPA with System76 pre-stable PPA

  [ Ben Harris ]
  * Fix typo in deb822-format.rst

  [ ktetzlaff ]
  * fix(build): add apt-manage to pyproject.toml
  * fix(file): fix parsing of multiline values

  [ Jeremy Soller ]
  * Fix invalid URLs in tests

  [ ktetzlaff ]
  * fix(system): ignore directories in /etc/apt/sources.list.d
  * fix(cli/list): fix listing of legacy sources when sources.list is missing

  [ Clement Lefebvre ]
  * load_all_sources(): Don't save files
  * file: Don't add header comments in new files
  * legacy: Don't add comments
  * Remove the CLI

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 22:26:36 +0100

repolib (2.2.1) jammy; urgency=medium

  * Build system improvements

 -- Ian Santopietro <ian@system76.com>  Thu, 02 Mar 2023 11:33:10 -0700

repolib (2.2.0) jammy; urgency=medium

  * Adds API for getting signing key details
  * Adds CLI option to print signing key information

 -- Ian Santopietro <ian@system76.com>  Wed, 26 Oct 2022 15:56:23 -0600

repolib (2.1.1) jammy; urgency=medium

  * Improved error CLI error handling

 -- Ian Santopietro <ian@system76.com>  Thu, 20 Oct 2022 10:32:43 -0600

repolib (2.1.0) jammy; urgency=medium

  * Repolib will now search for mis-typed repos when removing sources
    Mistyped repos (if found on the system) are offered as a correction
  * Fixed a bug where popdev: shortcuts containing slashes could be added
  * Prints a suggestion for common "popdev/" typo
  * Fixed a typo in the remove subcommand

 -- Ian Santopietro <ian@system76.com>  Tue, 11 Oct 2022 11:35:07 -0600

repolib (2.0.1) jammy; urgency=medium

  * Fix for sources missing names (pop-os/repolib/#49)

 -- Ian Santopietro <ian@system76.com>  Wed, 05 Oct 2022 14:25:59 -0600

repolib (2.0.0) jammy; urgency=medium

  * Newly rewritten architecture
  * Better support for files with multiple separate sources
  * Support for key management (a la apt-key, but updated for modern standards)

 -- Ian Santopietro <ian@system76.com>  Mon, 26 Sep 2022 11:06:38 -0600

repolib (1.5.2) groovy; urgency=medium

  * Added a flag to allow skipping the confirmation prompt on source removal

 -- Ian Santopietro <ian@system76.com>  Thu, 10 Dec 2020 11:27:29 -0700

repolib (1.5.1) groovy; urgency=medium

  * Updates to Python packaging
  * Comments in list files are now preserved

 -- Ian Santopietro <ian@system76.com>  Fri, 06 Nov 2020 12:19:56 -0700

repolib (1.5.0) groovy; urgency=medium

  * Empty sources (without URIs or Suites, legacy sources without consituent
    lines) are not shown in the list and aren't included in the list
    via get_all_sources()
  * Empty sources always report they are not Enabled.
  * Empty sources cannot be set to Enabled.
  * Empty sources do not throw exceptions
  * Empty sources can have modifications made to them (making them        
    no-longer empty). 
  * Non-empty sources can have all URIs and Suites removed (making
    them empty).
  * URI Validation has been improved.
  * Fault-tolerance is greatly improved
  * apt-manage: files with syntax errors are displayed in output
  * apt-manage: debug output includes contents of invalid files

 -- Ian Santopietro <ian@system76.com>  Thu, 29 Oct 2020 15:33:04 -0600

repolib (1.4.0) groovy; urgency=medium

  * Added a new 'default-mirror' attribute to the system source
    Allows Vendors to specify their recommended mirror

 -- Ian Santopietro <ian@system76.com>  Wed, 14 Oct 2020 14:24:11 -0600

repolib (1.3.0) focal; urgency=medium

  * New ident field for easier working with specific sources
  * Ident to eventually replace filename field
  * Added a re-implementation of add-apt-repository from software-properties
  * New module function to get a list with all sources inside it
  * Added polkit integration to fallback and get permissions without root
  * New CLI command for interacting with sources
  * CLI interface now creates legacy-format sources by default.

 -- Ian Santopietro <ian@system76.com>  Thu, 08 Oct 2020 15:45:47 -0600

repolib (1.2.0) focal; urgency=medium

  * Improvements to code quality

 -- Ian Santopietro <ian@system76.com>  Thu, 27 Aug 2020 14:57:43 -0600

repolib (1.1.0) eoan; urgency=medium

  * Repolib now supports operating on traditional .list files

 -- Ian Santopietro <ian@system76.com>  Thu, 20 Aug 2020 17:13:05 -0600

repolib (1.0.2) disco; urgency=medium

  * Reworked some minor class features for better reliability
  * Unit Tests!

 -- Ian Santopietro <isantop@gmail.com>  Thu, 09 May 2019 15:00:04 -0600

repolib (1.0.1) disco; urgency=medium

  * Update option matching code to use a regex instead of guessing.

 -- Ian Santopietro <isantop@gmail.com>  Thu, 09 May 2019 11:07:51 -0600

repolib (1.0.0) disco; urgency=medium

  * Minor modifications to API for Repoman

 -- Ian Santopietro <isantop@gmail.com>  Mon, 06 May 2019 14:30:41 -0600

repolib (0.0.8) disco; urgency=medium

  * Fixed Bash Completions

 -- Ian Santopietro <isantop@gmail.com>  Mon, 06 May 2019 14:29:01 -0600

repolib (0.0.7) disco; urgency=medium

  * Support for converting legacy Sources to Deb822 format
  * Updated Python setup

 -- Ian Santopietro <isantop@gmail.com>  Wed, 01 May 2019 11:07:27 -0600

repolib (0.0.4) disco; urgency=medium

  * Bash Completion

 -- Ian Santopietro <isantop@gmail.com>  Mon, 29 Apr 2019 16:33:19 -0600

repolib (0.0.3) disco; urgency=medium

  * Initial release 


